Next Commerce
Subscriptions

Subscriptions List

Retrieve a list of subscriptions.

GET
/subscriptions/

Authorization

oauth2 subscriptions:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: subscriptions:read

Query Parameters

search_text?string
address?string
date_from?string

YYYY-MM-DD

Formatdate
date_to?string

YYYY-MM-DD

Formatdate
status?array<>

Status

  • active - Active
  • past_due - Past Due
  • canceled - Canceled
  • retrying - Retrying
product?array<>
sku?array<|>

SKU

gateway?array<>

Gateway

card_type?array<>

Card Brand

  • visa - Visa
  • mastercard - Mastercard
  • american_express - American Express
  • diners_club - Diners Club
  • discover - Discover
  • jcb - JCB
  • maestro - Maestro
  • dankort - Dankort
order_number?string

Order Number

customer_email?string

Customer Email

customer_phone_number?string

Customer phone number

cancel_reason?string

Cancel Reason

next_renewal_date_from?string

YYYY-MM-DD

Formatdate
next_renewal_date_to?string

YYYY-MM-DD

Formatdate
cancel_date_from?string

YYYY-MM-DD

Formatdate
cancel_date_to?string

YYYY-MM-DD

Formatdate
recoveries_source?string

Recovery Source

  • email_automation - Email Automation
  • retries - Retries
  • account_updater - Account Updater
  • other - Other
  • storefront - Storefront
  • dashboard - Dashboard
Value in"account_updater" | "dashboard" | "email_automation" | "other" | "retries" | "storefront"
recoveries_date_from?string

YYYY-MM-DD

Formatdate
recoveries_date_to?string

YYYY-MM-DD

Formatdate
funnels?array<|>

Funnels

agents?array<|>

Agents

utm_source?string

UTM Source

utm_campaign?string

UTM Campaign

utm_term?string

UTM Term

utm_content?string

UTM Content

affiliate?string

Affiliate

subaffiliate1?string

Sub-Affiliate 1

subaffiliate2?string

Sub-Affiliate 2

subaffiliate3?string

Sub-Affiliate 3

subaffiliate4?string

Sub-Affiliate 4

subaffiliate5?string

Sub-Affiliate 5

is_test?boolean

Is Test Subscription

payment_method?array<|>

Payment Method

  • apple_pay - Apple Pay
  • bankcard - Bankcard
  • google_pay - Google Pay
  • klarna - Klarna
  • paypal - PayPal
  • twint - Twint
gateway_status?string

Gateway Status

  • active - Active
  • inactive - Inactive
Value in"active" | "inactive"
cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*string
Default"unstable"
Value in"unstable"

Response Body

application/json

curl -X GET "https://example.29next.store/api/admin/subscriptions/" \
  -H "X-29next-API-Version: unstable" \
  -H "Authorization: Bearer "
{
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "results": [
    {
      "attribution": {
        "affiliate": "string",
        "agent": {
          "email": "user@example.com",
          "first_name": "string",
          "id": 0,
          "last_name": "string"
        },
        "funnel": "string",
        "gclid": "string",
        "metadata": null,
        "subaffiliate1": "string",
        "subaffiliate2": "string",
        "subaffiliate3": "string",
        "subaffiliate4": "string",
        "subaffiliate5": "string",
        "utm_campaign": "string",
        "utm_content": "string",
        "utm_medium": "string",
        "utm_source": "string",
        "utm_term": "string"
      },
      "billing_address": {
        "country": "string",
        "first_name": "string",
        "id": 0,
        "last_name": "string",
        "line1": "string",
        "line2": "string",
        "line3": "string",
        "line4": "string",
        "phone_number": "string",
        "postcode": "string",
        "state": "string"
      },
      "cancel_reason": "string",
      "cancel_reason_other_message": "string",
      "currency": "string",
      "date_created": "2019-08-24T14:15:22Z",
      "frequency": "string",
      "id": 0,
      "interval": "day",
      "interval_count": 1,
      "is_test": true,
      "lines": [
        {
          "id": 0,
          "metadata": {},
          "price": "string",
          "product_id": 0,
          "product_image": "http://example.com",
          "product_title": "string",
          "product_url": "http://example.com",
          "quantity": 2147483647,
          "sku": "string",
          "variant_id": 0,
          "variant_title": "string"
        }
      ],
      "next_renewal_date": "2019-08-24T14:15:22Z",
      "num_lines": 0,
      "num_orders": 0,
      "orders": [
        {
          "billing_cycle": 0,
          "order_number": "string"
        }
      ],
      "payment_details": {
        "property1": null,
        "property2": null
      },
      "payment_method": "string",
      "shipping_address": {
        "country": "string",
        "first_name": "string",
        "id": 0,
        "last_name": "string",
        "line1": "string",
        "line2": "string",
        "line3": "string",
        "line4": "string",
        "notes": "string",
        "phone_number": "string",
        "postcode": "string",
        "state": "string"
      },
      "shipping_code": "string",
      "shipping_price": "string",
      "status": "active",
      "total": "string",
      "user": {
        "accepts_marketing": true,
        "email": "user@example.com",
        "first_name": "string",
        "id": 0,
        "ip": "string",
        "language": "string",
        "last_name": "string",
        "phone_number": "string",
        "user_agent": "string"
      }
    }
  ]
}